net.corda.core.schemas

## Class PersistentStateRef

- net.corda.core.schemas.PersistentStateRef

-     public class PersistentStateRef

  Embedded `class StateRef` representation used in state mapping.

  See Also:
    `class StateRef`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentStateRef(java.lang.String txId, java.lang.Integer index)` Embedded `class StateRef` representation used in state mapping.
    `PersistentStateRef(StateRef stateRef)`
    `PersistentStateRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `java.lang.Integer` | `component2()`
    `PersistentStateRef` | `copy(java.lang.String txId, java.lang.Integer index)` Embedded `class StateRef` representation used in state mapping.
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Integer` | `getIndex()`
    `java.lang.String` | `getTxId()`
    `int` | `hashCode()`
    `void` | `setIndex(java.lang.Integer p)`
    `void` | `setTxId(java.lang.String p)`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### PersistentStateRef

          public PersistentStateRef(java.lang.String txId,
                                    java.lang.Integer index)

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`

    - #### PersistentStateRef

          public PersistentStateRef(StateRef stateRef)

    - #### PersistentStateRef

          public PersistentStateRef()

  - ### Method Detail

    - #### getTxId

          public java.lang.String getTxId()

    - #### setTxId

          public void setTxId(java.lang.String p)

    - #### getIndex

          public java.lang.Integer getIndex()

    - #### setIndex

          public void setIndex(java.lang.Integer p)

    - #### component1

          public java.lang.String component1()

    - #### component2

          public java.lang.Integer component2()

    - #### copy

          public PersistentStateRef copy(java.lang.String txId,
                                         java.lang.Integer index)

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)